<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:id="@+id/main"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@drawable/bg_main"
    android:orientation="vertical"
    tools:context=".main.MainActivity">

    <com.ux.video.file.filerecovery.utils.CustomTextView
        android:id="@+id/tv_title"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginStart="16dp"
        android:layout_marginTop="19dp"
        android:text="@string/app_name"
        android:textColor="@color/main_title"
        android:textSize="24sp"
        app:fontType="alimama"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintTop_toTopOf="parent" />

    <ImageView
        android:layout_width="24dp"
        android:layout_height="24dp"
        android:layout_marginEnd="16dp"
        android:src="@drawable/ic_setting"
        app:layout_constraintBottom_toBottomOf="@id/tv_title"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintTop_toTopOf="@id/tv_title" />

    <RelativeLayout
        android:id="@+id/layout_photo"
        android:layout_width="0dp"
        android:layout_height="168dp"
        android:layout_marginStart="16dp"
        android:layout_marginTop="28dp"
        android:background="@drawable/main_type_bg"
        android:paddingTop="18dp"
        app:layout_constraintHorizontal_weight="1"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintRight_toLeftOf="@id/layout_video"
        app:layout_constraintTop_toBottomOf="@id/tv_title">

        <com.ux.video.file.filerecovery.utils.CustomTextView
            android:id="@+id/tv_photo"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginStart="18dp"
            android:text="@string/main_title_photo"
            android:textColor="@color/color_title_blue"
            android:textSize="16sp"
            app:fontType="bold" />

        <com.ux.video.file.filerecovery.utils.CustomTextView
            android:id="@+id/sub_photo"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_below="@id/tv_photo"
            android:layout_marginStart="18dp"
            android:layout_marginTop="4dp"
            android:text="@string/main_title_quick_recovery"
            android:textColor="@color/main_sub_title"
            android:textSize="14sp"
            app:fontType="regular" />

        <ImageView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_below="@id/sub_photo"
            android:layout_marginTop="12dp"
            android:src="@drawable/image_main_photo" />

    </RelativeLayout>


    <RelativeLayout
        android:id="@+id/layout_video"
        android:layout_width="0dp"
        android:layout_height="168dp"
        android:layout_marginStart="11dp"
        android:layout_marginEnd="16dp"
        android:background="@drawable/main_type_bg"
        android:paddingTop="18dp"
        app:layout_constraintHorizontal_weight="1"
        app:layout_constraintLeft_toRightOf="@id/layout_photo"
        app:layout_constraintRight_toRightOf="parent"
        app:layout_constraintTop_toTopOf="@id/layout_photo">

        <com.ux.video.file.filerecovery.utils.CustomTextView
            android:id="@+id/tv_video"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginStart="18dp"
            android:text="@string/main_title_video"
            android:textColor="@color/color_title_blue"
            android:textSize="16sp"
            app:fontType="bold" />

        <com.ux.video.file.filerecovery.utils.CustomTextView
            android:id="@+id/sub_video"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_below="@id/tv_video"
            android:layout_marginStart="18dp"
            android:layout_marginTop="4dp"
            android:text="@string/main_title_video_recovery"
            android:textColor="@color/main_sub_title"
            android:textSize="14sp"
            app:fontType="regular" />

        <ImageView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_below="@id/sub_video"
            android:layout_marginTop="12dp"
            android:src="@drawable/im_video" />

    </RelativeLayout>

    <LinearLayout
        android:id="@+id/layout_audio"
        android:layout_width="0dp"
        android:layout_height="60dp"
        android:layout_marginStart="16dp"
        android:layout_marginTop="16dp"
        android:background="@drawable/main_type_bg"
        android:gravity="center_vertical"
        android:orientation="horizontal"
        android:paddingStart="18dp"
        app:layout_constraintHorizontal_weight="1"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintRight_toLeftOf="@id/layout_document"
        app:layout_constraintTop_toBottomOf="@id/layout_photo">

        <ImageView
            android:layout_width="24dp"
            android:layout_height="24dp"
            android:src="@drawable/ic_audio" />

        <com.ux.video.file.filerecovery.utils.CustomTextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginStart="8dp"
            android:text="@string/main_title_audio"
            android:textColor="@color/main_sub_title"
            android:textSize="16sp"
            app:fontType="bold" />

    </LinearLayout>

    <LinearLayout
        android:id="@+id/layout_document"
        android:layout_width="0dp"
        android:layout_height="60dp"
        android:layout_marginStart="11dp"
        android:layout_marginEnd="16dp"
        android:background="@drawable/main_type_bg"
        android:gravity="center_vertical"
        android:orientation="horizontal"
        android:paddingStart="18dp"
        app:layout_constraintHorizontal_weight="1"
        app:layout_constraintLeft_toRightOf="@id/layout_audio"
        app:layout_constraintRight_toRightOf="parent"
        app:layout_constraintTop_toTopOf="@id/layout_audio">

        <ImageView
            android:layout_width="24dp"
            android:layout_height="24dp"
            android:src="@drawable/ic_document" />

        <com.ux.video.file.filerecovery.utils.CustomTextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginStart="8dp"
            android:text="@string/main_title_document"
            android:textColor="@color/main_sub_title"
            android:textSize="16sp"
            app:fontType="bold" />
    </LinearLayout>


    <LinearLayout
        android:id="@+id/layout_recovery"
        android:layout_width="0dp"
        android:layout_height="60dp"
        android:layout_marginStart="16dp"
        android:layout_marginTop="16dp"
        android:background="@drawable/main_type_bg"
        android:gravity="center_vertical"
        android:orientation="horizontal"
        android:paddingStart="18dp"
        app:layout_constraintHorizontal_weight="1"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintRight_toLeftOf="@id/layout_wchat"
        app:layout_constraintTop_toBottomOf="@id/layout_audio">

        <ImageView
            android:layout_width="24dp"
            android:layout_height="24dp"
            android:src="@drawable/ic_recovered" />

        <com.ux.video.file.filerecovery.utils.CustomTextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginStart="8dp"
            android:text="@string/main_title_recovered"
            android:textColor="@color/main_sub_title"
            android:textSize="16sp"
            app:fontType="bold" />

    </LinearLayout>

    <LinearLayout
        android:id="@+id/layout_wchat"
        android:layout_width="0dp"
        android:layout_height="60dp"
        android:layout_marginStart="11dp"
        android:layout_marginEnd="16dp"
        android:background="@drawable/main_type_bg"
        android:gravity="center_vertical"
        android:orientation="horizontal"
        android:paddingStart="18dp"
        app:layout_constraintHorizontal_weight="1"
        app:layout_constraintLeft_toRightOf="@id/layout_recovery"
        app:layout_constraintRight_toRightOf="parent"
        app:layout_constraintTop_toTopOf="@id/layout_recovery">

        <ImageView
            android:layout_width="24dp"
            android:layout_height="24dp"
            android:src="@drawable/ic_wchat" />

        <com.ux.video.file.filerecovery.utils.CustomTextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginStart="8dp"
            android:text="@string/main_title_document"
            android:textColor="@color/main_sub_title"
            android:textSize="16sp"
            app:fontType="bold" />
    </LinearLayout>

    <LinearLayout
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:orientation="vertical"
        android:visibility="gone"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintTop_toBottomOf="@id/layout_wchat">

        <Button
            android:id="@+id/btn_permission"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="管理所有文件的权限申请" />

        <Button
            android:id="@+id/btn_scan_all_photo"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="扫描所有图片" />

        <Button
            android:id="@+id/btn_scan_all_video"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="扫描所有视频" />

        <Button
            android:id="@+id/btn_scan_all_audio"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="扫描所有音频" />

        <Button
            android:id="@+id/btn_scan_all_file"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="扫描所有文件" />
    </LinearLayout>

    <RelativeLayout
        android:id="@+id/layout_permission"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:background="@color/white"
        android:visibility="gone">

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="@string/app_name" />

        <Button
            android:id="@+id/allow"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_alignParentBottom="true"
            android:layout_centerHorizontal="true"
            android:layout_marginBottom="50dp"
            android:text="Allow" />

    </RelativeLayout>

</androidx.constraintlayout.widget.ConstraintLayout>